Project

General

Profile

Actions

Bug #10841

closed

2.2.0p43 not building with gcc 4.9.1

Added by AlamoZ (Adrien Lamothe) over 7 years ago. Updated over 7 years ago.

Status:
Third Party's Issue
Priority:
Normal
Target version:
-
[ruby-core:68070]

Description

When peforming 'make' of Ruby 2.2.0p43 with gcc version 4.9.1
on Linux 3.16.0-28 x86_64, the build is dying when making enc/trans/big5.c

I am able to build 2.2.0p43 on a system with gcc version 4.8.2 on Linux 3.13.0-24 x86_64.

Here is the output:

compiling ./enc/trans/big5.c
gcc: internal compiler error: Killed (program cc1)
Please submit a full bug report,
with preprocessed source if appropriate.
See <file:///usr/share/doc/gcc-4.9/README.Bugs> for instructions.
enc.mk:758: recipe for target 'enc/trans/big5.o' failed
Actions #1

Updated by nobu (Nobuyoshi Nakada) over 7 years ago

  • Description updated (diff)
  • Status changed from Open to Third Party's Issue
  • ruby -v changed from N/A, happens when building 2.2.0p43 to 2.2.0p43

It's a bug of gcc.

FYI, succeeded 2.2.0p77 with gcc version 4.9.1 (Ubuntu 4.9.1-16ubuntu6).

Updated by nobu (Nobuyoshi Nakada) over 7 years ago

One possibility, as I can think of, is insufficient memory.
Does make optflags=-O0 enc/trans/big5.o also fail?

Actions

Also available in: Atom PDF